Page MenuHomePhabricator

WML upload wizard adds {{location}} instead of {{object location}} templates
Closed, ResolvedPublic

Description

Expected Results:
Wiki Loves Monuments upload wizard (at least the Swedish version) automatically adds {{location}} templates based on database of known object location (like https://sv.wikipedia.org/wiki/Lista_%C3%B6ver_byggnadsminnen_i_Dalarnas_l%C3%A4n). {{location}} templates are meant for camera locations not object locations. The wizard should be adding {{object location}} templates instead.

See for example the original upload of https://commons.wikimedia.org/w/index.php?title=File:Missionshuset_i_S%C3%B6der%C3%A5s_02.jpg&oldid=133466692

Reproducible: Didn't try


Version: unspecified
Severity: major

Details

Reference
bz70437

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz70437.
Jarekt created this task.Sep 5 2014, 12:56 PM

People should add the lat/lon to the upload wizard. The upload wizard expects lat/lon for {{location}} and not for {{object location}}.

I removed it in https://sv.wikipedia.org/w/index.php?title=Mall:BBR&diff=prev&oldid=27433296

ErgoedBot will come along and add {{Object location}} after the upload.

You should check if other list templates have the same problem.

SJu added a subscriber: SJu.Jul 26 2015, 2:27 AM
Restricted Application added a subscriber: Josve05a. · View Herald TranscriptJul 26 2015, 2:27 AM
SJu reopened this task as Open.Jul 26 2015, 2:30 AM
SJu triaged this task as Normal priority.
SJu set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 26 2015, 2:30 AM
SJu added a comment.Jul 26 2015, 2:45 AM

The problem remains, object location from monument lists is interpreted as camera location by Upload Wizzard.

Even though the Czech monument template doesn't add coordinates to the URL of the UploadWizard link (see here), nevertheless the coordinates (wrongly interpreted) appear in the UploadWizard form (see the test uplad).

This bug floods all maps with huge amount of false coordinates (and in addition, it multiplies all mistaken coordinates from the monuments lists instead of centralize the object location of any monument at one place where it can be easily corrected.

Restricted Application added a project: Multimedia. · View Herald TranscriptJul 26 2015, 2:45 AM
Restricted Application added a subscriber: Steinsplitter. · View Herald Transcript
SJu added a comment.Jul 27 2015, 1:39 AM

I wrote: "nevertheless the coordinates (wrongly interpreted) appear in the UploadWizard form (see the test upload)."

My mistake! The coordinates were real camera location from EXIF, not object location from the monument list.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 27 2015, 1:39 AM
SJu closed this task as Resolved.Jul 27 2015, 1:39 AM

Two questions on that:

  • Does Erfgoedbot work on any template using the upload wizard or just on the WLM stuff? There is a lot of similar templates for table rows, e.g. https://de.wikipedia.org/wiki/Vorlage:WLPA-AT-Zeile If Erfgoedbot does, than ok. Otherwise there still is a problem with the object location in non-WLM cases.
  • Provided, Erfgoedbot does not work by default on all those table row templates, we need a mechanism to pass object location (as given in the lists - camera location cannot be given for unknown images!) via url-parameter to the UW. How can this be achieved?

I tried a bit:
https://commons.wikimedia.org/wiki/Campaign:at-Wiener-Wohnen
and
https://de.wikipedia.org/wiki/Vorlage:Gemeindebau_Wien_Tabellenzeile (using the UW acc. to the former campaign)

passing the object location is clumsy and it is put to a less optimal position inside the information template (should be below). I did not manage to put it after the information template with given UW parameters.

So what would be the proper solution (in case of lists like WLM):
object location can be passed by URL-parameters
camera location can be extracted from Exif data
Both locations might be missing independently.

Herzi.Pinki reopened this task as Open.Feb 20 2017, 4:23 PM

see my comment above. As long as Erfgoedbot does not do this for all usages of UW, it is not fixed.

Multichill closed this task as Resolved.Feb 20 2017, 5:42 PM

You should re-open old bugs just to ask questions. Code for the bot is at https://github.com/wikimedia/labs-tools-heritage/blob/master/erfgoedbot/add_object_location_monuments.py and the logic is quite simple:

  • Loop over all the sources (country)
  • Get all the images for a source without a location
  • Look in the monuments database for the coordinates
  • Add them

Please file a new task if you want to get something changed. If you just have questions, the mailing list or a talk page is probably a better venue.